/** Общее оформление контента страницы */
.chapter-single-wrapper {
    margin-top: 10px;
    margin-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
}

.chapter-single-wrapper > h1 {
    text-align: center;
    color: #003C09;
    padding-bottom: 10px;
}

/* Декоративная линия под заголовком */
.chapter-single-wrapper > h1::after {
    content: '';
    display: block;
    width: 180px;
    height: 1px;
    background: #2e7d32;
    margin: 16px auto 0;
}

.chapter-content {
    margin-top: 1.2em;
    margin-bottom: 1.2em;
}

.chapter-content p {
    margin-bottom: 1.2em;
}

.chapter-content h2,
.chapter-content h3,
.chapter-content h4,
.chapter-content h5 {
    text-align: center;
    color: #003C09;
    margin-bottom: 1.2em;
}

.chapter-content .wp-block-image {
    margin-bottom: 1.2em;
}

/** Оформление хлебных крошек */
.breadcrumb {
    margin-bottom: 1.2em;
    margin-top: 1.2em;
}

.breadcrumb a {
    color: #003C09;
    font-weight: bold;
}

.breadcrumb a:hover {
    color: #00a017ff;
    text-decoration: underline;
}

.breadcrumb {
    color: #00a017ff;
    font-weight: bold;
}

/** Оформление пагинатора по главам */
.chapter-navigation {
    display: flex;
    justify-content: center;
    gap: 25px;
    margin-top: 1.5em;
    margin-bottom: 1em;
    padding-top: 1em;
    border-top: 1px solid #e1ede4; /* Декоративное отчеркивание статьи и наыигации */
}

.chapter-navigation > a {
    color: #003C09;
    font-weight: bold;
    padding: 10px;
    border: 1px solid #003C09;
    border-radius: 10px;
}

.chapter-navigation > a:hover {
    background: #003C09;
    color: #ffffff;
}

/** Оформление рекламного блока в каждой главе внизу */
.book-advertisement {
    margin-top: 1.5em;
    padding-top: 1.5em;
    border-top: 1px solid #e1ede4; /* Декоративное отчеркивание статьи и наыигации */
}

.advertising-image-block figure {
    display: flex;
    justify-content: center;
}

.advertising-image-block figure img {
    border-radius: 5px;
}

.advertising-image-block figure img:hover {
    transform: scale(1.03); /* Увеличение на 3% */
    transition: transform 0.3s ease;
}

/* Для мобильных устройств */
@media screen and (max-width: 768px) {
    .prev,
    .next,
    .book-link {
        font-size: 0.8em;
    }
}

@media screen and (max-width: 568px) {
    .prev,
    .next,
    .book-link {
        font-size: 0.6em;
    }
}